fixup: s/devies/devices/
[pve-docs.git] / pve-package-repos.adoc
1 [[sysadmin_package_repositories]]
2 Package Repositories
3 --------------------
4 ifdef::wiki[]
5 :pve-toplevel:
6 endif::wiki[]
7
8 All Debian based systems use
9 http://en.wikipedia.org/wiki/Advanced_Packaging_Tool[APT] as package
10 management tool. The list of repositories is defined in
11 `/etc/apt/sources.list` and `.list` files found inside
12 `/etc/apt/sources.d/`. Updates can be installed directly using
13 `apt-get`, or via the GUI.
14
15 Apt `sources.list` files list one package repository per line, with
16 the most preferred source listed first. Empty lines are ignored, and a
17 `#` character anywhere on a line marks the remainder of that line as a
18 comment. The information available from the configured sources is
19 acquired by `apt-get update`.
20
21 .File `/etc/apt/sources.list`
22 ----
23 deb http://ftp.debian.org/debian stretch main contrib
24
25 # security updates
26 deb http://security.debian.org stretch/updates main contrib
27 ----
28
29 In addition, {pve} provides three different package repositories.
30
31 {pve} Enterprise Repository
32 ~~~~~~~~~~~~~~~~~~~~~~~~~~~
33
34 This is the default, stable and recommended repository, available for
35 all {pve} subscription users. It contains the most stable packages,
36 and is suitable for production use. The `pve-enterprise` repository is
37 enabled by default:
38
39 .File `/etc/apt/sources.list.d/pve-enterprise.list`
40 ----
41 deb https://enterprise.proxmox.com/debian/pve stretch pve-enterprise
42 ----
43
44 As soon as updates are available, the `root@pam` user is notified via
45 email about the available new packages. On the GUI, the change-log of
46 each package can be viewed (if available), showing all details of the
47 update. So you will never miss important security fixes.
48
49 Please note that and you need a valid subscription key to access this
50 repository. We offer different support levels, and you can find further
51 details at https://www.proxmox.com/en/proxmox-ve/pricing.
52
53 NOTE: You can disable this repository by commenting out the above line
54 using a `#` (at the start of the line). This prevents error messages
55 if you do not have a subscription key. Please configure the
56 `pve-no-subscription` repository in that case.
57
58
59 {pve} No-Subscription Repository
60 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
61
62 As the name suggests, you do not need a subscription key to access
63 this repository. It can be used for testing and non-production
64 use. Its not recommended to run on production servers, as these
65 packages are not always heavily tested and validated.
66
67 We recommend to configure this repository in `/etc/apt/sources.list`.
68
69 .File `/etc/apt/sources.list`
70 ----
71 deb http://ftp.debian.org/debian stretch main contrib
72
73 # PVE pve-no-subscription repository provided by proxmox.com,
74 # NOT recommended for production use
75 deb http://download.proxmox.com/debian/pve stretch pve-no-subscription
76
77 # security updates
78 deb http://security.debian.org stretch/updates main contrib
79 ----
80
81
82 {pve} Test Repository
83 ~~~~~~~~~~~~~~~~~~~~~~
84
85 Finally, there is a repository called `pvetest`. This one contains the
86 latest packages and is heavily used by developers to test new
87 features. As usual, you can configure this using
88 `/etc/apt/sources.list` by adding the following line:
89
90 .sources.list entry for `pvetest`
91 ----
92 deb http://download.proxmox.com/debian/pve stretch pvetest
93 ----
94
95 WARNING: the `pvetest` repository should (as the name implies) only be used
96 for testing new features or bug fixes.
97
98 [[sysadmin_package_repositories_ceph]]
99 {pve} Ceph Repository
100 ~~~~~~~~~~~~~~~~~~~~~
101
102 This is {pve}'s main Ceph repository and holds the Ceph packages for
103 production use. You can also use this repository to update only the Ceph
104 client.
105
106 .File `/etc/apt/sources.list.d/ceph.list`
107 ----
108 deb http://download.proxmox.com/debian/ceph-luminous stretch main
109 ----
110
111
112 {pve} Ceph Testing Repository
113 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
114
115 This Ceph repository contains the Ceph packages before they are moved into the
116 main repository and is used to test new Ceph release on {pve}.
117
118 .File `/etc/apt/sources.list.d/ceph.list`
119 ----
120 deb http://download.proxmox.com/debian/ceph-luminous stretch test
121 ----
122
123
124 SecureApt
125 ~~~~~~~~~
126
127 We use GnuPG to sign the `Release` files inside those repositories,
128 and APT uses that signatures to verify that all packages are from a
129 trusted source.
130
131 The key used for verification is already installed if you install from
132 our installation CD. If you install by other means, you can manually
133 download the key with:
134
135  # wget http://download.proxmox.com/debian/proxmox-ve-release-5.x.gpg -O /etc/apt/trusted.gpg.d/proxmox-ve-release-5.x.gpg
136
137 Please verify the checksum afterwards:
138
139 ----
140 # sha512sum /etc/apt/trusted.gpg.d/proxmox-ve-release-5.x.gpg
141 ffb95f0f4be68d2e753c8875ea2f8465864a58431d5361e88789568673551501ae574283a4e0492f17d79dc67edfb173a56a6304dea39e01f249ebdabc9f074a  /etc/apt/trusted.gpg.d/proxmox-ve-release-5.x.gpg
142 ----
143
144 or
145
146 ----
147 # md5sum /etc/apt/trusted.gpg.d/proxmox-ve-release-5.x.gpg
148 511d36d0f1350c01c42a3dc9f3c27939  /etc/apt/trusted.gpg.d/proxmox-ve-release-5.x.gpg
149 ----
150
151
152 ifdef::wiki[]
153
154 // include note about older releases, but only for wiki
155
156
157 {pve} 4.x Repositories
158 ~~~~~~~~~~~~~~~~~~~~~~
159
160 {pve} 4.x is based on Debian 8.x (``jessie''). Please note that this
161 release is out of date, and you should update your
162 installation. Nevertheless, we still provide access to those
163 repositories at our download servers.
164
165 [width="100%",cols="<d,3m",options="header"]
166 |===========================================================
167 |Repository                 | sources.list entry
168 |{pve} 4.x Enterprise       |
169 deb https://enterprise.proxmox.com/debian jessie pve-enterprise
170 |{pve} 4.x No-Subscription  |
171 deb http://download.proxmox.com/debian jessie pve-no-subscription
172 |{pve} 4.x Test             |
173 deb http://download.proxmox.com/debian jessie pvetest
174 |===========================================================
175
176
177 {pve} 3.x Repositories
178 ~~~~~~~~~~~~~~~~~~~~~~
179
180 {pve} 3.x is based on Debian 7.x (``wheezy''). Please note that this
181 release is out of date, and you should update your
182 installation. Nevertheless, we still provide access to those
183 repositories at our download servers.
184
185 [width="100%",cols="<d,3m",options="header"]
186 |===========================================================
187 |Repository                 | sources.list entry
188 |{pve} 3.x Enterprise       |
189 deb https://enterprise.proxmox.com/debian wheezy pve-enterprise
190 |{pve} 3.x No-Subscription  |
191 deb http://download.proxmox.com/debian wheezy pve-no-subscription
192 |{pve} 3.x Test             |
193 deb http://download.proxmox.com/debian wheezy pvetest
194 |===========================================================
195
196
197 Outdated: `stable` Repository `pve`
198 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
199
200 This repository is a leftover to easy the update to 3.1. It will not
201 get any updates after the release of 3.1. Therefore you need to remove
202 this repository after you upgraded to 3.1.
203
204 .File `/etc/apt/sources.list`
205 ----
206 deb http://ftp.debian.org/debian wheezy main contrib
207
208 # PVE packages provided by proxmox.com - NO UPDATES after the initial release of 3.1
209 # deb http://download.proxmox.com/debian wheezy pve
210
211 # security updates
212 deb http://security.debian.org/ wheezy/updates main contrib
213 ----
214
215
216 Outdated: {pve} 2.x Repositories
217 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
218
219 {pve} 2.x is based on Debian 6.0 (``squeeze'') and outdated. Please
220 upgrade to latest version as soon as possible. In order to use the
221 stable `pve` 2.x repository, check your sources.list:
222
223 .File `/etc/apt/sources.list`
224 ----
225 deb http://ftp.debian.org/debian squeeze main contrib
226
227 # PVE packages provided by proxmox.com
228 deb http://download.proxmox.com/debian squeeze pve
229
230 # security updates
231 deb http://security.debian.org/ squeeze/updates main contrib
232 ----
233
234
235 Outdated: {pve} VE 1.x Repositories
236 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
237
238 {pve} 1.x is based on Debian 5.0 (``lenny'') and very outdated. Please
239 upgrade to latest version as soon as possible.
240
241
242 endif::wiki[]
243 ifdef::manvolnum[]
244 include::pve-copyright.adoc[]
245 endif::manvolnum[]